GLXCLK(4)

NAME
glxclk - AMD Geode CS5536 multi-function general purpose timer

SYNOPSIS
glxclk* at glxpcib?

DESCRIPTION
The glxclk driver enables two of the multi-function general purpose timers found on the Geode companion chip to be used as the system clock and the statistics clock.

The statistics clock is implemented with interval variance support based on Chris Torek's paper on randomized sampling.

SEE ALSO
glxpcib(4), intro(4) Steven McCanne, Chris Torek, A Randomized Sampling Clock for CPU Utilization Estimation and Code Profiling, In Proc. Winter 1993 USENIX Conference, 1993, 387-394, USENIX Association, ftp://ftp.ee.lbl.gov/papers/statclk-usenix93.ps.Z.

HISTORY
The glxclk driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The glxclk driver was written by Paul Irofti <pirofti@openbsd.org>.